#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - blog preinstallation
#
# Creation   :  2021-06-30 holbru
# Last update:  $Id: preinstall.sh 87696 2021-06-30 09:09:36Z hbfl $
#
# Copyright (c) 2021-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=blog

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check sysvinit 3.2.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/sysvinit-files.txt ]
    then
        sed -i '/blogd$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/blogger$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/isserial$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/setconsole$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/showconsole$/d' /etc/filelist.d/sysvinit-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
